
varying vec3 N;
varying vec3 V;
varying vec3 Lm;
varying float safeShiny;

void main(void)
{
   V = (gl_ModelViewMatrix * gl_Vertex).xyz;
   N = normalize(gl_NormalMatrix * gl_Normal);
   
   gl_TexCoord[0] = gl_MultiTexCoord0;
   gl_TexCoord[1] = gl_MultiTexCoord1;

   gl_FrontColor = gl_Color;

   Lm = normalize(gl_LightSource[0].position.xyz);
   safeShiny = max(gl_FrontMaterial.shininess, 0.001);
   
   gl_Position = ftransform();
}
