--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--
--  author:  Dave Rodgers  (aka: trepan)
--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------


--VFS.Include('gui_fog_shader.lua')
--do return end


print("Hello")


--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--
--  table additions
--

local printFunc = print

local printed = {}


local function PrintTable(t, indent)
  if (printed[t]) then
    printFunc(indent .. '-- ALREADY PRINTED')
    return
  else
    printed[t] = true
  end

  for k,v in pairs(t) do
    if (type(v) ~= 'table') then
      printFunc(indent .. tostring(k) .. ' = ' .. bz.StripAnsiCodes(tostring(v)) .. ',')
    else
      printFunc(indent .. tostring(k) .. ' = {')
      PrintTable(v, indent .. '  ')
      printFunc(indent .. '},')
    end
  end
end


function table.print(t, func)
  printed = {}
  printFunc = func or print
  PrintTable(t, '')
end


--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

VFS.Include("world.lua")
-- exports CreateDefShader() and CreateWorldDList()

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------



local function GLReload()
--  CreateCopyTexture()
--  CreateGreyShader()
  print('GLReload')
  WorldGLReload()
end

Script.SetCallIn('GLReload', GLReload)
GLReload()


--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

